[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TObject.Done

Destroy an object.

## Declaration

Source position: objects.pp line 254

`destructor TObject.Done; virtual;`

## Description

Done, the destructor of TObject does nothing. It is mainly intended to be used in the TObject.Free method.

The destructore Done does not free the memory occupied by the object.

## Errors

None.

## See also

TObject.Free |  | Destroy an object and release all memory.
TObject.Init |  | Construct (initialize) a new object

## Example

    program ex8;

    { Program to demonstrate the TObject.Done call }

    Uses Objects;

    Var O : PObject;

    begin
      // Allocate memory for object.
      O:=New(PObject,Init);
      O^.Done;
    end.

Documentation generated on: Feb 26 2014